Subject: Re: [PATCH] t1092: use GIT_PROGRESS_DELAY for consistent results

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 May 2021 05:46:16 +0900

Derrick Stolee <[email-masked]> writes:

> On 5/25/2021 2:32 AM, Junio C Hamano wrote:
>> Derrick Stolee <[email-masked]> writes:
>> 
>>>> So we silently convert -1 to 2^64-1, and call it a day.
>>>
>>> That works for me. I'll send a v2 with that tomorrow unless someone
>>> presents a better option.
>> 
>> I'll queue with this tweak for tonight's integration run.
>> 
>> ...
> Thank you for proactively modifying the patch. This works
> for me. I didn't realize that this was affecting other
> contributors [1] until I woke up this morning.
>
> [1] https://lore.kernel.org/git/[email-masked]/

Well, not so well X-<.  It seems that some builds are not happy with
this change.  See https://github.com/git/git/actions/runs/876229761
specifically these two:

    https://github.com/git/git/runs/2669177395?check_suite_focus=true#step:7:3549
    https://github.com/git/git/runs/2669080101?check_suite_focus=true#step:6:988

I suspect that it has something to do with 32-bit platforms?

Thanks.